Changes

Jump to navigation Jump to search
no edit summary
Pre-build octave-forge packages are not prepared from octave-3.8 or later for windows. You can install some octave-forge packages installed. However, small flaws exist in current octave-4.0.0_0 distribution. Before install, correct version number of general and signal packages version to 2.0.0 and 1.3.2 in C:\octave\octave-4.0.0\src\build_packages.m", respectively and comment out install io package as"#try_install io-2.2.7.tar.gz" and then excute
>> cd C:\octave\octave-4.0.0\src
>> build_packages
>> pkg install -forge io
 
Other octave-forge packages may be installed by
 
>> pkg install -forge (package name)
 
However, some packages require other dependencies (e.g. symbolic packages requires python.).
See [[Windows_Installer]] for building instructions.
===Octave-3.8.2 ===
The site that provide previous version of octave for windows of ver. 3.8.2 (unofficial buildusing mxe-octave) is closed.
A mirrored binary can be downloaded at [http://www.tatsuromatsuoka.com/octave/Eng/Win/ File list of Octave for Windows]
exit
The plot command also doesn't work well in case of Windows 8 system===Octave-3.6.4-mingw + octaveforge pkgs===
For build instructions before octave-3.8 see [[Octave_for_MinGW]] or the Octave-Forge repository [http://sourceforge.net/projects/octave/files/Octave%20Windows%20binaries/].
 
===Octave-3.6.4-mingw + octaveforge pkgs===
====Files for manual installation====
Anonymous user

Navigation menu